python-restrictedpython_3.6.0-0ubuntu4_all.deb


Advertisement

Description

python-restrictedpython - Restricted execution environment for Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-restrictedpython
Package version 3.6.0
Package release 0ubuntu4
Package architecture all
Package type deb
Installed size 187 B
Download size 35.52 KB
Official Mirror archive.ubuntu.com
RestrictedPython provides a restricted execution environment for Python,
e.g. for running untrusted code.

Alternatives

Package Version Architecture Repository
python-restrictedpython_3.6.0-0ubuntu4_all.deb 3.6.0 all Ubuntu Universe
python-restrictedpython - - -

Requires

Name Value
python >= 2.7.1-0ubuntu2
python << 2.8
python-pkg-resources -

Conflicts

Name Value
zope3 -

Download

Type URL
Binary Package python-restrictedpython_3.6.0-0ubuntu4_all.deb
Source Package restrictedpython

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-restrictedpython deb package:
    # sudo apt-get install python-restrictedpython

Files

Path
/usr/lib/python2.7/dist-packages/RestrictedPython/Eval.py
/usr/lib/python2.7/dist-packages/RestrictedPython/Guards.py
/usr/lib/python2.7/dist-packages/RestrictedPython/Limits.py
/usr/lib/python2.7/dist-packages/RestrictedPython/MutatingWalker.py
/usr/lib/python2.7/dist-packages/RestrictedPython/PrintCollector.py
/usr/lib/python2.7/dist-packages/RestrictedPython/RCompile.py
/usr/lib/python2.7/dist-packages/RestrictedPython/README.txt
/usr/lib/python2.7/dist-packages/RestrictedPython/RestrictionMutator.py
/usr/lib/python2.7/dist-packages/RestrictedPython/SelectCompiler.py
/usr/lib/python2.7/dist-packages/RestrictedPython/Utilities.py
/usr/lib/python2.7/dist-packages/RestrictedPython/__init__.py
/usr/lib/python2.7/dist-packages/RestrictedPython/notes.txt
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/SOURCES.txt
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/RestrictedPython-3.6.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/__init__.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/before_and_after.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/before_and_after24.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/before_and_after25.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/before_and_after26.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/before_and_after27.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/class.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/lambda.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/restricted_module.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/security_in_syntax.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/security_in_syntax26.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/security_in_syntax27.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/testCompile.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/testREADME.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/testRestrictions.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/testUtiliities.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/unpack.py
/usr/lib/python2.7/dist-packages/RestrictedPython/tests/verify.py
/usr/share/doc/python-restrictedpython/changelog.Debian.gz
/usr/share/doc/python-restrictedpython/copyright
/usr/share/pyshared/RestrictedPython/Eval.py
/usr/share/pyshared/RestrictedPython/Guards.py
/usr/share/pyshared/RestrictedPython/Limits.py
/usr/share/pyshared/RestrictedPython/MutatingWalker.py
/usr/share/pyshared/RestrictedPython/PrintCollector.py
/usr/share/pyshared/RestrictedPython/RCompile.py
/usr/share/pyshared/RestrictedPython/README.txt
/usr/share/pyshared/RestrictedPython/RestrictionMutator.py
/usr/share/pyshared/RestrictedPython/SelectCompiler.py
/usr/share/pyshared/RestrictedPython/Utilities.py
/usr/share/pyshared/RestrictedPython/__init__.py
/usr/share/pyshared/RestrictedPython/notes.txt
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/PKG-INFO
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/SOURCES.txt
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/dependency_links.txt
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/not-zip-safe
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/requires.txt
/usr/share/pyshared/RestrictedPython-3.6.0.egg-info/top_level.txt
/usr/share/pyshared/RestrictedPython/tests/__init__.py
/usr/share/pyshared/RestrictedPython/tests/before_and_after.py
/usr/share/pyshared/RestrictedPython/tests/before_and_after24.py
/usr/share/pyshared/RestrictedPython/tests/before_and_after25.py
/usr/share/pyshared/RestrictedPython/tests/before_and_after26.py
/usr/share/pyshared/RestrictedPython/tests/before_and_after27.py
/usr/share/pyshared/RestrictedPython/tests/class.py
/usr/share/pyshared/RestrictedPython/tests/lambda.py
/usr/share/pyshared/RestrictedPython/tests/restricted_module.py
/usr/share/pyshared/RestrictedPython/tests/security_in_syntax.py
/usr/share/pyshared/RestrictedPython/tests/security_in_syntax26.py
/usr/share/pyshared/RestrictedPython/tests/security_in_syntax27.py
/usr/share/pyshared/RestrictedPython/tests/testCompile.py
/usr/share/pyshared/RestrictedPython/tests/testREADME.py
/usr/share/pyshared/RestrictedPython/tests/testRestrictions.py
/usr/share/pyshared/RestrictedPython/tests/testUtiliities.py
/usr/share/pyshared/RestrictedPython/tests/unpack.py
/usr/share/pyshared/RestrictedPython/tests/verify.py

Changelog

2013-07-04 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.6.0-0ubuntu4) saucy; urgency=low
* debian/patches/remove_new_python_tests.patch: remove, this was needed to
support python 2.6
* debian/patches/no_requires.patch: remove, now handled by dh_python2.
* debian/copyright: update to copyright-format 1.0
* debian/tests: switch to zope.testrunner.
* Update Standards-Version to 3.9.4
2011-12-31 - Matthias Klose <doko@ubuntu.com>
restrictedpython (3.6.0-0ubuntu3) precise; urgency=low
* Rebuild to drop python2.6 dependencies.
2011-08-24 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.6.0-0ubuntu2) oneiric; urgency=low
* Use dh_python2 instead of deprecated python-central (LP: #831411).
2010-08-26 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.6.0-0ubuntu1) maverick; urgency=low
* New upstream release.
* Switch to dpkg-source 3.0 (quilt) format
* Convert to debhelper 7, do not use van.pydeb
* Update Standards-Version to 3.8.4
* Build only for python >= 2.6
* debian/patches/add_license.dpatch: remove, the tarball now includes
a license.
* debian/patches/remove_new_python_tests.dpatch: remove, this was needed
to support python 2.4 and 2.5
* debian/patches/remove_new_python_tests.patch: add a similar patch
to remove tests that do not compile with python 2.6
* debian/patches/no_requires.patch: remove unneeded setuptools dependency
* debian/copyright: convert to dep5 format
2010-02-11 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.5.1-0ubuntu4) lucid; urgency=low
* Upload for Lucid (LP: #520199)
2010-02-11 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.5.1-0ubuntu3) karmic; urgency=low
* debian/patches/add_license.dpatch: New patch to add a license
* List dpatch and debhelper in Build-Depends, others in Build-Depends-Indep
2010-02-11 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.5.1-0ubuntu2) karmic; urgency=low
* Switch to using van.pydeb
* Fix debian/tests to work on python2.6
* Limit Python-Versions to << 2.7, this version handles only up to 2.6
2010-01-05 - Gediminas Paulauskas <menesis@pov.lt>
restrictedpython (3.5.1-0ubuntu1) karmic; urgency=low
* New upstream release
* Add copyright
* debian/patches/remove_new_python_tests.dpatch: remove windows newlines
2009-05-22 - Gediminas Paulauskas <menesis@pov.lt>
python-restrictedpython (3.4.3-1) hardy; urgency=low
* New upstream release
* Build for all python versions
* Build-depend on dpatch
* debian/patches/remove_new_python_tests.dpatch: remove tests that do not
compile on python 2.4, causing install to fail.
2008-07-23 - Brian Sutherland <brian@vanguardistas.net>
python-restrictedpython (3.4.2-2) gutsy; urgency=low
* Add conflicts: zope3

See Also

Package Description
python-restructuredtext-lint_0.12.2-2_all.deb reStructuredText linter - Python 2.7
python-reverend_0.4-0ubuntu1_all.deb general purpose Bayesian classifier for Python
python-rfc3339_1.0-4_all.deb parser and generator of RFC 3339-compliant timestamps (Python 2)
python-rfoo_1.3.0-2_amd64.deb Fast RPC package for Python (and a remote console)
python-rgain_1.3.3-1_all.deb Replay Gain volume normalization Python tools
python-rhn_2.5.55-2_all.deb Python libraries for the RHN project
python-ricky_0.1-1_all.deb tool for rebuilding packages using the Debile infrastructure
python-riemann-client-doc_6.1.3-1_all.deb command line tool and API with support for all metric types - documentation
python-riemann-client_6.1.3-1_all.deb command line tool and API with support for all metric types
python-ripe-atlas-cousteau_1.0.7-1_all.deb Python wrapper around the RIPE Atlas API
python-ripe-atlas-sagan-doc_1.1.8-1_all.deb Python library for parsing RIPE Atlas measurement results (documentation)
python-ripe-atlas-sagan_1.1.8-1_all.deb Python library for parsing RIPE Atlas measurement results
python-rivet_1.8.3-1.3_amd64.deb Python bindings of Rivet
python-rope_0.10.2-1_all.deb Python refactoring library
python-ropemacs_0.7-1_all.deb Emacs mode for Python refactoring
Advertisement
Advertisement